!set title=Dados dos lados
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=10
prevarcnt=9
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 10, 40

val6=$[rint($(tmp0))]
tmp0=!randint 10, 40

val7=$[rint($(tmp0))]
val8=$[rint(max($val6,$val7))]
val9=$[rint(min($val6,$val7))]

!ifval $val6>$val7
val10=AB
!else
val10=BC
!endif

!ifval $val6>$val7
val11=BC
!else
val11=AB
!endif
val12=$[rint($val8-$val9+1)]
val13=$[rint($val6+$val7-1)]
val14=$[rint($val13 - $val12 + 1)]
replytype1=default
replyname1=Número de triángulos
replygood1=$val14
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()¿Cuántos triángulos ABC hay, donde	<p><center>	    AB = $val6 , BC = $val7 , AC = un entero?	</center>
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()Para que ABC sea un triángulo, AC debe ser al menos	$val10-$val11+1=$val12, y como mucho AB+BC-1=$val13.
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,10,11,12,13
embedcnt=0
